Subject: Re: [pkix] IPR status for ECDH and ECDSA (Anders Rundgren)

From: koichi sugimoto <[email-masked]>
Date: Mon, 9 Aug 2010 16:47:18 +0900

Hello Anders,

IMHO, their royality-free patents are applicable only to some RFCs below:

http://www.ietf.org/ietf-ftp/IPR/certicom%2520-ipr-contribution-to-ietfsept08.pdf#search='certicom
patent RFC contribution'

As for suite-B, other choice is to sign a patent licence agreement to NSA:

http://www.certicom.com/pdfs/FAQ-TheNSAECCLicenseAgreement.pdf#search='nsa
license agreement ECC'

Sorry if you alredy have these.

Regards,
Koichi Sugimoto.

> From: Anders Rundgren <[email-masked]>
> To: [email-masked]
> Date: Sat, 07 Aug 2010 10:58:12 +0200
> Subject: [pkix] IPR status for ECDH and ECDSA
>  I'm plotting with a smart card concept where ECC is a corner-stone
> with NIST's SP800-56A C(2, 0, ECC CDH) algorithm as a prerequisite
> for creating a shared session-key using two  ephemeral keys.
>
> Although RIM/Certicom presumable offers RAND terms it is pretty hard
> to know what that means in practice and even how it is supposed to be
> controlled since the concept is based on Open Hardware and Open Software
> which means that production could happen anywhere, like in China.
>
> Is my assumption correct that ECDSA and ECDH are IPR-free but that
> some implementations are not?  Is it known if OpenSSL's or BouncyCastle's
> implementations violate RIM/Certiticom IPR?  I would be nice if they
> don't since the design heavily builds on their work as well.
>
> Anders